static struct needle_image needle_images[] = {
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-0-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 0,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-1-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 1,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-2-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 2,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-3-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 3,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-4-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 4,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-5-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 5,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-6-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 6,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-7-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 7,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-8-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 8,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-9-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 9,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-10-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 10,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-11-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 11,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-12-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 12,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-13-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 13,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-14-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 14,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-15-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 15,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-16-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 16,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-17-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 17,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-18-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 18,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-19-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 19,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-20-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 20,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-21-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 21,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-22-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 22,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-23-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 23,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-24-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 24,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-25-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 25,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-26-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 26,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-27-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 27,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-28-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 28,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-29-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 29,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-30-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 30,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-31-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 31,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-32-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 32,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-33-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 33,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-34-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 34,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-35-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 35,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-36-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 36,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-37-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 37,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-38-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 38,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-39-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 39,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-40-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 40,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-41-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 41,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-42-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 42,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-43-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 43,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-44-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 44,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-45-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 45,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-46-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 46,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-47-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 47,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-48-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 48,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-49-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 49,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-50-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 50,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-51-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 51,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-52-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 52,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-53-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 53,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-54-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 54,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-55-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 55,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-56-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 56,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-57-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 57,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-58-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 58,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-59-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 59,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-60-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 60,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-61-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 61,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-62-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 62,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-63-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 63,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-64-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 64,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-65-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 65,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-66-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 66,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-67-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 67,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-68-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 68,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-69-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 69,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-70-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 70,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-71-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 71,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-72-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 72,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-73-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 73,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-74-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 74,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-75-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 75,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-76-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 76,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-77-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 77,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-78-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 78,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-79-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 79,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-80-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 80,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-81-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 81,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-82-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 82,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-83-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 83,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-84-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 84,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-85-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 85,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-86-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 86,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-87-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 87,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-88-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 88,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-89-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 89,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-90-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 90,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-91-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 91,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-92-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 92,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-93-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 93,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-94-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 94,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-95-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 95,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-96-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 96,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-97-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 97,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-98-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 98,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-99-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 99,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-100-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 100,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-101-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 101,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-102-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 102,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-103-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 103,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-104-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 104,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-105-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 105,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-106-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 106,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-107-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 107,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-108-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 108,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-109-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 109,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-110-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 110,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-111-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 111,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-112-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 112,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-113-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 113,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-114-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 114,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-115-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 115,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-116-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 116,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-117-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 117,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-118-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 118,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-119-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 119,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-120-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 120,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-121-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 121,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-122-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 122,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-123-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 123,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-124-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 124,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-125-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 125,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-126-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 126,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-127-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 127,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-128-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 128,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-129-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 129,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-130-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 130,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-131-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 131,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-132-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 132,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-133-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 133,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-134-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 134,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-135-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 135,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-136-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 136,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-137-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 137,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-138-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 138,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-139-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 139,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-140-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 140,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-141-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 141,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-142-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 142,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-143-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 143,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-144-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 144,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-145-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 145,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-146-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 146,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-147-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 147,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-148-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 148,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-149-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 149,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-150-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 150,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-151-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 151,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-152-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 152,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-153-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 153,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-154-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 154,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-155-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 155,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-156-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 156,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-157-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 157,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-158-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 158,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-159-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 159,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-160-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 160,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-161-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 161,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-162-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 162,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-163-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 163,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-164-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 164,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-165-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 165,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-166-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 166,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-167-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 167,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-168-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 168,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-169-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 169,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-170-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 170,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-171-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 171,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-172-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 172,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-173-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 173,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-174-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 174,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-175-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 175,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-176-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 176,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-177-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 177,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-178-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 178,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-179-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 179,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-180-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 180,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-181-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 181,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-182-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 182,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-183-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 183,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-184-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 184,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-185-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 185,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-186-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 186,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-187-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 187,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-188-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 188,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-189-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 189,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-190-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 190,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-191-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 191,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-192-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 192,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-193-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 193,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-194-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 194,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-195-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 195,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-196-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 196,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-197-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 197,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-198-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 198,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-199-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 199,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-200-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 200,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-201-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 201,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-202-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 202,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-203-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 203,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-204-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 204,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-205-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 205,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-206-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 206,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-207-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 207,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-208-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 208,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-209-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 209,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-210-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 210,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-211-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 211,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-212-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 212,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-213-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 213,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-214-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 214,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-215-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 215,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-216-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 216,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-217-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 217,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-218-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 218,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-219-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 219,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-220-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 220,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-221-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 221,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-222-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 222,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-223-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 223,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-224-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 224,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-225-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 225,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-226-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 226,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-227-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 227,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-228-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 228,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-229-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 229,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-230-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 230,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-231-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 231,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-232-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 232,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-233-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 233,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-234-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 234,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-235-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 235,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-236-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 236,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-237-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 237,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-238-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 238,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-239-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 239,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-240-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 240,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-241-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 241,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-242-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 242,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-243-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 243,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-244-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 244,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-245-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 245,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-246-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 246,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-247-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 247,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-248-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 248,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-249-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 249,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-250-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 250,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-251-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 251,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-252-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 252,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-253-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 253,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-254-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 254,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-255-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 255,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-256-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 256,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-257-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 257,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-258-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 258,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-259-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 259,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-260-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 260,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-261-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 261,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-262-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 262,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-263-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 263,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-264-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 264,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-265-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 265,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-266-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 266,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-267-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 267,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-268-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 268,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-269-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 269,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-270-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 270,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-271-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 271,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-272-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 272,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-273-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 273,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-274-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 274,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-275-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 275,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-276-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 276,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-277-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 277,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-278-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 278,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-279-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 279,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-280-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 280,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-281-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 281,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-282-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 282,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-283-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 283,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-284-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 284,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-285-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 285,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-286-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 286,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-287-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 287,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-288-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 288,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-289-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 289,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-290-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 290,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-291-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 291,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-292-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 292,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-293-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 293,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-294-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 294,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-295-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 295,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-296-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 296,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-297-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 297,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-298-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 298,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-299-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 299,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-300-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 300,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-301-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 301,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-302-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 302,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-303-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 303,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-304-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 304,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-305-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 305,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-306-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 306,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-307-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 307,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-308-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 308,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-309-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 309,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-310-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 310,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-311-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 311,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-312-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 312,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-313-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 313,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-314-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 314,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-315-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 315,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-316-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 316,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-317-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 317,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-318-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 318,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-319-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 319,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-320-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 320,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-321-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 321,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-322-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 322,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-323-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 323,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-324-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 324,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-325-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 325,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-326-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 326,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-327-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 327,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-328-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 328,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-329-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 329,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-330-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 330,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-331-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 331,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-332-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 332,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-333-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 333,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-334-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 334,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-335-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 335,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-336-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 336,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-337-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 337,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-338-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 338,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-339-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 339,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-340-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 340,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-341-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 341,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-342-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 342,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-343-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 343,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-344-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 344,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-345-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 345,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-346-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 346,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-347-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 347,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-348-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 348,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-349-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 349,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-350-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 350,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-351-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 351,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-352-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 352,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-353-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 353,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-354-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 354,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-355-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 355,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-356-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 356,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-357-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 357,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-358-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 358,
	},
	{
		.filename = DATADIR"/"ASSETDIR"/needles/needle-359-deg-80-80.raw",
		.width = 80,
		.height = 80,
		.angle = 359,
	},
};
static struct needle_asset mphassets[] = {
	{
		.pos_x = 213,
		.pos_y = 57,
		.angle = 0,
	},
	{
		.pos_x = 216,
		.pos_y = 57,
		.angle = 1,
	},
	{
		.pos_x = 218,
		.pos_y = 57,
		.angle = 2,
	},
	{
		.pos_x = 221,
		.pos_y = 57,
		.angle = 3,
	},
	{
		.pos_x = 223,
		.pos_y = 57,
		.angle = 4,
	},
	{
		.pos_x = 226,
		.pos_y = 57,
		.angle = 5,
	},
	{
		.pos_x = 228,
		.pos_y = 57,
		.angle = 6,
	},
	{
		.pos_x = 231,
		.pos_y = 58,
		.angle = 7,
	},
	{
		.pos_x = 233,
		.pos_y = 58,
		.angle = 8,
	},
	{
		.pos_x = 236,
		.pos_y = 58,
		.angle = 9,
	},
	{
		.pos_x = 238,
		.pos_y = 59,
		.angle = 10,
	},
	{
		.pos_x = 241,
		.pos_y = 59,
		.angle = 11,
	},
	{
		.pos_x = 243,
		.pos_y = 60,
		.angle = 12,
	},
	{
		.pos_x = 245,
		.pos_y = 60,
		.angle = 13,
	},
	{
		.pos_x = 248,
		.pos_y = 61,
		.angle = 14,
	},
	{
		.pos_x = 250,
		.pos_y = 61,
		.angle = 15,
	},
	{
		.pos_x = 253,
		.pos_y = 62,
		.angle = 16,
	},
	{
		.pos_x = 255,
		.pos_y = 63,
		.angle = 17,
	},
	{
		.pos_x = 257,
		.pos_y = 64,
		.angle = 18,
	},
	{
		.pos_x = 260,
		.pos_y = 64,
		.angle = 19,
	},
	{
		.pos_x = 262,
		.pos_y = 65,
		.angle = 20,
	},
	{
		.pos_x = 265,
		.pos_y = 66,
		.angle = 21,
	},
	{
		.pos_x = 267,
		.pos_y = 67,
		.angle = 22,
	},
	{
		.pos_x = 269,
		.pos_y = 68,
		.angle = 23,
	},
	{
		.pos_x = 271,
		.pos_y = 69,
		.angle = 24,
	},
	{
		.pos_x = 274,
		.pos_y = 70,
		.angle = 25,
	},
	{
		.pos_x = 276,
		.pos_y = 71,
		.angle = 26,
	},
	{
		.pos_x = 278,
		.pos_y = 72,
		.angle = 27,
	},
	{
		.pos_x = 280,
		.pos_y = 73,
		.angle = 28,
	},
	{
		.pos_x = 283,
		.pos_y = 74,
		.angle = 29,
	},
	{
		.pos_x = 285,
		.pos_y = 76,
		.angle = 30,
	},
	{
		.pos_x = 287,
		.pos_y = 77,
		.angle = 31,
	},
	{
		.pos_x = 289,
		.pos_y = 78,
		.angle = 32,
	},
	{
		.pos_x = 291,
		.pos_y = 80,
		.angle = 33,
	},
	{
		.pos_x = 293,
		.pos_y = 81,
		.angle = 34,
	},
	{
		.pos_x = 295,
		.pos_y = 82,
		.angle = 35,
	},
	{
		.pos_x = 297,
		.pos_y = 84,
		.angle = 36,
	},
	{
		.pos_x = 299,
		.pos_y = 85,
		.angle = 37,
	},
	{
		.pos_x = 301,
		.pos_y = 87,
		.angle = 38,
	},
	{
		.pos_x = 303,
		.pos_y = 88,
		.angle = 39,
	},
	{
		.pos_x = 305,
		.pos_y = 90,
		.angle = 40,
	},
	{
		.pos_x = 307,
		.pos_y = 92,
		.angle = 41,
	},
	{
		.pos_x = 309,
		.pos_y = 93,
		.angle = 42,
	},
	{
		.pos_x = 311,
		.pos_y = 95,
		.angle = 43,
	},
	{
		.pos_x = 313,
		.pos_y = 97,
		.angle = 44,
	},
	{
		.pos_x = 315,
		.pos_y = 98,
		.angle = 45,
	},
	{
		.pos_x = 316,
		.pos_y = 100,
		.angle = 46,
	},
	{
		.pos_x = 318,
		.pos_y = 102,
		.angle = 47,
	},
	{
		.pos_x = 320,
		.pos_y = 104,
		.angle = 48,
	},
	{
		.pos_x = 321,
		.pos_y = 106,
		.angle = 49,
	},
	{
		.pos_x = 323,
		.pos_y = 108,
		.angle = 50,
	},
	{
		.pos_x = 325,
		.pos_y = 110,
		.angle = 51,
	},
	{
		.pos_x = 326,
		.pos_y = 112,
		.angle = 52,
	},
	{
		.pos_x = 328,
		.pos_y = 114,
		.angle = 53,
	},
	{
		.pos_x = 329,
		.pos_y = 116,
		.angle = 54,
	},
	{
		.pos_x = 331,
		.pos_y = 118,
		.angle = 55,
	},
	{
		.pos_x = 332,
		.pos_y = 120,
		.angle = 56,
	},
	{
		.pos_x = 333,
		.pos_y = 122,
		.angle = 57,
	},
	{
		.pos_x = 335,
		.pos_y = 124,
		.angle = 58,
	},
	{
		.pos_x = 336,
		.pos_y = 126,
		.angle = 59,
	},
	{
		.pos_x = 337,
		.pos_y = 128,
		.angle = 60,
	},
	{
		.pos_x = 339,
		.pos_y = 130,
		.angle = 61,
	},
	{
		.pos_x = 340,
		.pos_y = 133,
		.angle = 62,
	},
	{
		.pos_x = 341,
		.pos_y = 135,
		.angle = 63,
	},
	{
		.pos_x = 342,
		.pos_y = 137,
		.angle = 64,
	},
	{
		.pos_x = 343,
		.pos_y = 139,
		.angle = 65,
	},
	{
		.pos_x = 344,
		.pos_y = 142,
		.angle = 66,
	},
	{
		.pos_x = 345,
		.pos_y = 144,
		.angle = 67,
	},
	{
		.pos_x = 346,
		.pos_y = 146,
		.angle = 68,
	},
	{
		.pos_x = 347,
		.pos_y = 148,
		.angle = 69,
	},
	{
		.pos_x = 348,
		.pos_y = 151,
		.angle = 70,
	},
	{
		.pos_x = 349,
		.pos_y = 153,
		.angle = 71,
	},
	{
		.pos_x = 349,
		.pos_y = 156,
		.angle = 72,
	},
	{
		.pos_x = 350,
		.pos_y = 158,
		.angle = 73,
	},
	{
		.pos_x = 351,
		.pos_y = 160,
		.angle = 74,
	},
	{
		.pos_x = 352,
		.pos_y = 163,
		.angle = 75,
	},
	{
		.pos_x = 352,
		.pos_y = 165,
		.angle = 76,
	},
	{
		.pos_x = 353,
		.pos_y = 168,
		.angle = 77,
	},
	{
		.pos_x = 353,
		.pos_y = 170,
		.angle = 78,
	},
	{
		.pos_x = 354,
		.pos_y = 172,
		.angle = 79,
	},
	{
		.pos_x = 354,
		.pos_y = 175,
		.angle = 80,
	},
	{
		.pos_x = 355,
		.pos_y = 177,
		.angle = 81,
	},
	{
		.pos_x = 355,
		.pos_y = 180,
		.angle = 82,
	},
	{
		.pos_x = 355,
		.pos_y = 182,
		.angle = 83,
	},
	{
		.pos_x = 356,
		.pos_y = 185,
		.angle = 84,
	},
	{
		.pos_x = 356,
		.pos_y = 187,
		.angle = 85,
	},
	{
		.pos_x = 356,
		.pos_y = 190,
		.angle = 86,
	},
	{
		.pos_x = 356,
		.pos_y = 192,
		.angle = 87,
	},
	{
		.pos_x = 356,
		.pos_y = 195,
		.angle = 88,
	},
	{
		.pos_x = 356,
		.pos_y = 197,
		.angle = 89,
	},
	{
		.pos_x = 357,
		.pos_y = 200,
		.angle = 90,
	},
	{
		.pos_x = 356,
		.pos_y = 202,
		.angle = 91,
	},
	{
		.pos_x = 356,
		.pos_y = 205,
		.angle = 92,
	},
	{
		.pos_x = 356,
		.pos_y = 207,
		.angle = 93,
	},
	{
		.pos_x = 356,
		.pos_y = 210,
		.angle = 94,
	},
	{
		.pos_x = 356,
		.pos_y = 212,
		.angle = 95,
	},
	{
		.pos_x = 356,
		.pos_y = 215,
		.angle = 96,
	},
	{
		.pos_x = 355,
		.pos_y = 217,
		.angle = 97,
	},
	{
		.pos_x = 355,
		.pos_y = 220,
		.angle = 98,
	},
	{
		.pos_x = 355,
		.pos_y = 222,
		.angle = 99,
	},
	{
		.pos_x = 354,
		.pos_y = 225,
		.angle = 100,
	},
	{
		.pos_x = 354,
		.pos_y = 227,
		.angle = 101,
	},
	{
		.pos_x = 353,
		.pos_y = 230,
		.angle = 102,
	},
	{
		.pos_x = 353,
		.pos_y = 232,
		.angle = 103,
	},
	{
		.pos_x = 352,
		.pos_y = 235,
		.angle = 104,
	},
	{
		.pos_x = 352,
		.pos_y = 237,
		.angle = 105,
	},
	{
		.pos_x = 351,
		.pos_y = 239,
		.angle = 106,
	},
	{
		.pos_x = 350,
		.pos_y = 242,
		.angle = 107,
	},
	{
		.pos_x = 349,
		.pos_y = 244,
		.angle = 108,
	},
	{
		.pos_x = 349,
		.pos_y = 246,
		.angle = 109,
	},
	{
		.pos_x = 348,
		.pos_y = 249,
		.angle = 110,
	},
	{
		.pos_x = 347,
		.pos_y = 251,
		.angle = 111,
	},
	{
		.pos_x = 346,
		.pos_y = 254,
		.angle = 112,
	},
	{
		.pos_x = 345,
		.pos_y = 256,
		.angle = 113,
	},
	{
		.pos_x = 344,
		.pos_y = 258,
		.angle = 114,
	},
	{
		.pos_x = 343,
		.pos_y = 260,
		.angle = 115,
	},
	{
		.pos_x = 342,
		.pos_y = 263,
		.angle = 116,
	},
	{
		.pos_x = 341,
		.pos_y = 265,
		.angle = 117,
	},
	{
		.pos_x = 340,
		.pos_y = 267,
		.angle = 118,
	},
	{
		.pos_x = 339,
		.pos_y = 269,
		.angle = 119,
	},
	{
		.pos_x = 337,
		.pos_y = 272,
		.angle = 120,
	},
	{
		.pos_x = 336,
		.pos_y = 274,
		.angle = 121,
	},
	{
		.pos_x = 335,
		.pos_y = 276,
		.angle = 122,
	},
	{
		.pos_x = 333,
		.pos_y = 278,
		.angle = 123,
	},
	{
		.pos_x = 332,
		.pos_y = 280,
		.angle = 124,
	},
	{
		.pos_x = 331,
		.pos_y = 282,
		.angle = 125,
	},
	{
		.pos_x = 329,
		.pos_y = 284,
		.angle = 126,
	},
	{
		.pos_x = 328,
		.pos_y = 286,
		.angle = 127,
	},
	{
		.pos_x = 326,
		.pos_y = 288,
		.angle = 128,
	},
	{
		.pos_x = 325,
		.pos_y = 290,
		.angle = 129,
	},
	{
		.pos_x = 323,
		.pos_y = 292,
		.angle = 130,
	},
	{
		.pos_x = 321,
		.pos_y = 294,
		.angle = 131,
	},
	{
		.pos_x = 320,
		.pos_y = 296,
		.angle = 132,
	},
	{
		.pos_x = 318,
		.pos_y = 298,
		.angle = 133,
	},
	{
		.pos_x = 316,
		.pos_y = 299,
		.angle = 134,
	},
	{
		.pos_x = 315,
		.pos_y = 301,
		.angle = 135,
	},
	{
		.pos_x = 313,
		.pos_y = 303,
		.angle = 136,
	},
	{
		.pos_x = 311,
		.pos_y = 305,
		.angle = 137,
	},
	{
		.pos_x = 309,
		.pos_y = 306,
		.angle = 138,
	},
	{
		.pos_x = 307,
		.pos_y = 308,
		.angle = 139,
	},
	{
		.pos_x = 305,
		.pos_y = 310,
		.angle = 140,
	},
	{
		.pos_x = 303,
		.pos_y = 311,
		.angle = 141,
	},
	{
		.pos_x = 301,
		.pos_y = 313,
		.angle = 142,
	},
	{
		.pos_x = 299,
		.pos_y = 314,
		.angle = 143,
	},
	{
		.pos_x = 297,
		.pos_y = 316,
		.angle = 144,
	},
	{
		.pos_x = 295,
		.pos_y = 317,
		.angle = 145,
	},
	{
		.pos_x = 293,
		.pos_y = 319,
		.angle = 146,
	},
	{
		.pos_x = 291,
		.pos_y = 320,
		.angle = 147,
	},
	{
		.pos_x = 289,
		.pos_y = 321,
		.angle = 148,
	},
	{
		.pos_x = 287,
		.pos_y = 323,
		.angle = 149,
	},
	{
		.pos_x = 285,
		.pos_y = 324,
		.angle = 150,
	},
	{
		.pos_x = 283,
		.pos_y = 325,
		.angle = 151,
	},
	{
		.pos_x = 280,
		.pos_y = 326,
		.angle = 152,
	},
	{
		.pos_x = 278,
		.pos_y = 328,
		.angle = 153,
	},
	{
		.pos_x = 276,
		.pos_y = 329,
		.angle = 154,
	},
	{
		.pos_x = 274,
		.pos_y = 330,
		.angle = 155,
	},
	{
		.pos_x = 271,
		.pos_y = 331,
		.angle = 156,
	},
	{
		.pos_x = 269,
		.pos_y = 332,
		.angle = 157,
	},
	{
		.pos_x = 267,
		.pos_y = 333,
		.angle = 158,
	},
	{
		.pos_x = 265,
		.pos_y = 334,
		.angle = 159,
	},
	{
		.pos_x = 262,
		.pos_y = 335,
		.angle = 160,
	},
	{
		.pos_x = 260,
		.pos_y = 335,
		.angle = 161,
	},
	{
		.pos_x = 257,
		.pos_y = 336,
		.angle = 162,
	},
	{
		.pos_x = 255,
		.pos_y = 337,
		.angle = 163,
	},
	{
		.pos_x = 253,
		.pos_y = 338,
		.angle = 164,
	},
	{
		.pos_x = 250,
		.pos_y = 338,
		.angle = 165,
	},
	{
		.pos_x = 248,
		.pos_y = 339,
		.angle = 166,
	},
	{
		.pos_x = 245,
		.pos_y = 339,
		.angle = 167,
	},
	{
		.pos_x = 243,
		.pos_y = 340,
		.angle = 168,
	},
	{
		.pos_x = 241,
		.pos_y = 341,
		.angle = 169,
	},
	{
		.pos_x = 238,
		.pos_y = 341,
		.angle = 170,
	},
	{
		.pos_x = 236,
		.pos_y = 341,
		.angle = 171,
	},
	{
		.pos_x = 233,
		.pos_y = 342,
		.angle = 172,
	},
	{
		.pos_x = 231,
		.pos_y = 342,
		.angle = 173,
	},
	{
		.pos_x = 228,
		.pos_y = 342,
		.angle = 174,
	},
	{
		.pos_x = 226,
		.pos_y = 343,
		.angle = 175,
	},
	{
		.pos_x = 223,
		.pos_y = 343,
		.angle = 176,
	},
	{
		.pos_x = 221,
		.pos_y = 343,
		.angle = 177,
	},
	{
		.pos_x = 218,
		.pos_y = 343,
		.angle = 178,
	},
	{
		.pos_x = 216,
		.pos_y = 343,
		.angle = 179,
	},
	{
		.pos_x = 213,
		.pos_y = 343,
		.angle = 180,
	},
	{
		.pos_x = 211,
		.pos_y = 343,
		.angle = 181,
	},
	{
		.pos_x = 208,
		.pos_y = 343,
		.angle = 182,
	},
	{
		.pos_x = 206,
		.pos_y = 343,
		.angle = 183,
	},
	{
		.pos_x = 203,
		.pos_y = 343,
		.angle = 184,
	},
	{
		.pos_x = 201,
		.pos_y = 343,
		.angle = 185,
	},
	{
		.pos_x = 198,
		.pos_y = 342,
		.angle = 186,
	},
	{
		.pos_x = 196,
		.pos_y = 342,
		.angle = 187,
	},
	{
		.pos_x = 193,
		.pos_y = 342,
		.angle = 188,
	},
	{
		.pos_x = 191,
		.pos_y = 341,
		.angle = 189,
	},
	{
		.pos_x = 188,
		.pos_y = 341,
		.angle = 190,
	},
	{
		.pos_x = 186,
		.pos_y = 341,
		.angle = 191,
	},
	{
		.pos_x = 183,
		.pos_y = 340,
		.angle = 192,
	},
	{
		.pos_x = 181,
		.pos_y = 339,
		.angle = 193,
	},
	{
		.pos_x = 178,
		.pos_y = 339,
		.angle = 194,
	},
	{
		.pos_x = 176,
		.pos_y = 338,
		.angle = 195,
	},
	{
		.pos_x = 174,
		.pos_y = 338,
		.angle = 196,
	},
	{
		.pos_x = 171,
		.pos_y = 337,
		.angle = 197,
	},
	{
		.pos_x = 169,
		.pos_y = 336,
		.angle = 198,
	},
	{
		.pos_x = 167,
		.pos_y = 335,
		.angle = 199,
	},
	{
		.pos_x = 164,
		.pos_y = 335,
		.angle = 200,
	},
	{
		.pos_x = 162,
		.pos_y = 334,
		.angle = 201,
	},
	{
		.pos_x = 159,
		.pos_y = 333,
		.angle = 202,
	},
	{
		.pos_x = 157,
		.pos_y = 332,
		.angle = 203,
	},
	{
		.pos_x = 155,
		.pos_y = 331,
		.angle = 204,
	},
	{
		.pos_x = 153,
		.pos_y = 330,
		.angle = 205,
	},
	{
		.pos_x = 150,
		.pos_y = 329,
		.angle = 206,
	},
	{
		.pos_x = 148,
		.pos_y = 328,
		.angle = 207,
	},
	{
		.pos_x = 146,
		.pos_y = 326,
		.angle = 208,
	},
	{
		.pos_x = 144,
		.pos_y = 325,
		.angle = 209,
	},
	{
		.pos_x = 142,
		.pos_y = 324,
		.angle = 210,
	},
	{
		.pos_x = 139,
		.pos_y = 323,
		.angle = 211,
	},
	{
		.pos_x = 137,
		.pos_y = 321,
		.angle = 212,
	},
	{
		.pos_x = 135,
		.pos_y = 320,
		.angle = 213,
	},
	{
		.pos_x = 133,
		.pos_y = 319,
		.angle = 214,
	},
	{
		.pos_x = 131,
		.pos_y = 317,
		.angle = 215,
	},
	{
		.pos_x = 129,
		.pos_y = 316,
		.angle = 216,
	},
	{
		.pos_x = 127,
		.pos_y = 314,
		.angle = 217,
	},
	{
		.pos_x = 125,
		.pos_y = 313,
		.angle = 218,
	},
	{
		.pos_x = 123,
		.pos_y = 311,
		.angle = 219,
	},
	{
		.pos_x = 121,
		.pos_y = 310,
		.angle = 220,
	},
	{
		.pos_x = 119,
		.pos_y = 308,
		.angle = 221,
	},
	{
		.pos_x = 117,
		.pos_y = 306,
		.angle = 222,
	},
	{
		.pos_x = 115,
		.pos_y = 305,
		.angle = 223,
	},
	{
		.pos_x = 114,
		.pos_y = 303,
		.angle = 224,
	},
	{
		.pos_x = 112,
		.pos_y = 301,
		.angle = 225,
	},
	{
		.pos_x = 110,
		.pos_y = 299,
		.angle = 226,
	},
	{
		.pos_x = 108,
		.pos_y = 298,
		.angle = 227,
	},
	{
		.pos_x = 107,
		.pos_y = 296,
		.angle = 228,
	},
	{
		.pos_x = 105,
		.pos_y = 294,
		.angle = 229,
	},
	{
		.pos_x = 103,
		.pos_y = 292,
		.angle = 230,
	},
	{
		.pos_x = 102,
		.pos_y = 290,
		.angle = 231,
	},
	{
		.pos_x = 100,
		.pos_y = 288,
		.angle = 232,
	},
	{
		.pos_x = 99,
		.pos_y = 286,
		.angle = 233,
	},
	{
		.pos_x = 97,
		.pos_y = 284,
		.angle = 234,
	},
	{
		.pos_x = 96,
		.pos_y = 282,
		.angle = 235,
	},
	{
		.pos_x = 94,
		.pos_y = 280,
		.angle = 236,
	},
	{
		.pos_x = 93,
		.pos_y = 278,
		.angle = 237,
	},
	{
		.pos_x = 92,
		.pos_y = 276,
		.angle = 238,
	},
	{
		.pos_x = 90,
		.pos_y = 274,
		.angle = 239,
	},
	{
		.pos_x = 89,
		.pos_y = 272,
		.angle = 240,
	},
	{
		.pos_x = 88,
		.pos_y = 269,
		.angle = 241,
	},
	{
		.pos_x = 87,
		.pos_y = 267,
		.angle = 242,
	},
	{
		.pos_x = 85,
		.pos_y = 265,
		.angle = 243,
	},
	{
		.pos_x = 84,
		.pos_y = 263,
		.angle = 244,
	},
	{
		.pos_x = 83,
		.pos_y = 260,
		.angle = 245,
	},
	{
		.pos_x = 82,
		.pos_y = 258,
		.angle = 246,
	},
	{
		.pos_x = 81,
		.pos_y = 256,
		.angle = 247,
	},
	{
		.pos_x = 80,
		.pos_y = 254,
		.angle = 248,
	},
	{
		.pos_x = 79,
		.pos_y = 251,
		.angle = 249,
	},
	{
		.pos_x = 78,
		.pos_y = 249,
		.angle = 250,
	},
	{
		.pos_x = 78,
		.pos_y = 246,
		.angle = 251,
	},
	{
		.pos_x = 77,
		.pos_y = 244,
		.angle = 252,
	},
	{
		.pos_x = 76,
		.pos_y = 242,
		.angle = 253,
	},
	{
		.pos_x = 75,
		.pos_y = 239,
		.angle = 254,
	},
	{
		.pos_x = 75,
		.pos_y = 237,
		.angle = 255,
	},
	{
		.pos_x = 74,
		.pos_y = 235,
		.angle = 256,
	},
	{
		.pos_x = 74,
		.pos_y = 232,
		.angle = 257,
	},
	{
		.pos_x = 73,
		.pos_y = 230,
		.angle = 258,
	},
	{
		.pos_x = 72,
		.pos_y = 227,
		.angle = 259,
	},
	{
		.pos_x = 72,
		.pos_y = 225,
		.angle = 260,
	},
	{
		.pos_x = 72,
		.pos_y = 222,
		.angle = 261,
	},
	{
		.pos_x = 71,
		.pos_y = 220,
		.angle = 262,
	},
	{
		.pos_x = 71,
		.pos_y = 217,
		.angle = 263,
	},
	{
		.pos_x = 71,
		.pos_y = 215,
		.angle = 264,
	},
	{
		.pos_x = 70,
		.pos_y = 212,
		.angle = 265,
	},
	{
		.pos_x = 70,
		.pos_y = 210,
		.angle = 266,
	},
	{
		.pos_x = 70,
		.pos_y = 207,
		.angle = 267,
	},
	{
		.pos_x = 70,
		.pos_y = 205,
		.angle = 268,
	},
	{
		.pos_x = 70,
		.pos_y = 202,
		.angle = 269,
	},
	{
		.pos_x = 70,
		.pos_y = 200,
		.angle = 270,
	},
	{
		.pos_x = 70,
		.pos_y = 197,
		.angle = 271,
	},
	{
		.pos_x = 70,
		.pos_y = 195,
		.angle = 272,
	},
	{
		.pos_x = 70,
		.pos_y = 192,
		.angle = 273,
	},
	{
		.pos_x = 70,
		.pos_y = 190,
		.angle = 274,
	},
	{
		.pos_x = 70,
		.pos_y = 187,
		.angle = 275,
	},
	{
		.pos_x = 71,
		.pos_y = 185,
		.angle = 276,
	},
	{
		.pos_x = 71,
		.pos_y = 182,
		.angle = 277,
	},
	{
		.pos_x = 71,
		.pos_y = 180,
		.angle = 278,
	},
	{
		.pos_x = 72,
		.pos_y = 177,
		.angle = 279,
	},
	{
		.pos_x = 72,
		.pos_y = 175,
		.angle = 280,
	},
	{
		.pos_x = 72,
		.pos_y = 172,
		.angle = 281,
	},
	{
		.pos_x = 73,
		.pos_y = 170,
		.angle = 282,
	},
	{
		.pos_x = 74,
		.pos_y = 168,
		.angle = 283,
	},
	{
		.pos_x = 74,
		.pos_y = 165,
		.angle = 284,
	},
	{
		.pos_x = 75,
		.pos_y = 163,
		.angle = 285,
	},
	{
		.pos_x = 75,
		.pos_y = 160,
		.angle = 286,
	},
	{
		.pos_x = 76,
		.pos_y = 158,
		.angle = 287,
	},
	{
		.pos_x = 77,
		.pos_y = 156,
		.angle = 288,
	},
	{
		.pos_x = 78,
		.pos_y = 153,
		.angle = 289,
	},
	{
		.pos_x = 78,
		.pos_y = 151,
		.angle = 290,
	},
	{
		.pos_x = 79,
		.pos_y = 148,
		.angle = 291,
	},
	{
		.pos_x = 80,
		.pos_y = 146,
		.angle = 292,
	},
	{
		.pos_x = 81,
		.pos_y = 144,
		.angle = 293,
	},
	{
		.pos_x = 82,
		.pos_y = 142,
		.angle = 294,
	},
	{
		.pos_x = 83,
		.pos_y = 139,
		.angle = 295,
	},
	{
		.pos_x = 84,
		.pos_y = 137,
		.angle = 296,
	},
	{
		.pos_x = 85,
		.pos_y = 135,
		.angle = 297,
	},
	{
		.pos_x = 87,
		.pos_y = 133,
		.angle = 298,
	},
	{
		.pos_x = 88,
		.pos_y = 130,
		.angle = 299,
	},
	{
		.pos_x = 89,
		.pos_y = 128,
		.angle = 300,
	},
	{
		.pos_x = 90,
		.pos_y = 126,
		.angle = 301,
	},
	{
		.pos_x = 92,
		.pos_y = 124,
		.angle = 302,
	},
	{
		.pos_x = 93,
		.pos_y = 122,
		.angle = 303,
	},
	{
		.pos_x = 94,
		.pos_y = 120,
		.angle = 304,
	},
	{
		.pos_x = 96,
		.pos_y = 118,
		.angle = 305,
	},
	{
		.pos_x = 97,
		.pos_y = 116,
		.angle = 306,
	},
	{
		.pos_x = 99,
		.pos_y = 114,
		.angle = 307,
	},
	{
		.pos_x = 100,
		.pos_y = 112,
		.angle = 308,
	},
	{
		.pos_x = 102,
		.pos_y = 110,
		.angle = 309,
	},
	{
		.pos_x = 103,
		.pos_y = 108,
		.angle = 310,
	},
	{
		.pos_x = 105,
		.pos_y = 106,
		.angle = 311,
	},
	{
		.pos_x = 107,
		.pos_y = 104,
		.angle = 312,
	},
	{
		.pos_x = 108,
		.pos_y = 102,
		.angle = 313,
	},
	{
		.pos_x = 110,
		.pos_y = 100,
		.angle = 314,
	},
	{
		.pos_x = 112,
		.pos_y = 98,
		.angle = 315,
	},
	{
		.pos_x = 114,
		.pos_y = 97,
		.angle = 316,
	},
	{
		.pos_x = 115,
		.pos_y = 95,
		.angle = 317,
	},
	{
		.pos_x = 117,
		.pos_y = 93,
		.angle = 318,
	},
	{
		.pos_x = 119,
		.pos_y = 92,
		.angle = 319,
	},
	{
		.pos_x = 121,
		.pos_y = 90,
		.angle = 320,
	},
	{
		.pos_x = 123,
		.pos_y = 88,
		.angle = 321,
	},
	{
		.pos_x = 125,
		.pos_y = 87,
		.angle = 322,
	},
	{
		.pos_x = 127,
		.pos_y = 85,
		.angle = 323,
	},
	{
		.pos_x = 129,
		.pos_y = 84,
		.angle = 324,
	},
	{
		.pos_x = 131,
		.pos_y = 82,
		.angle = 325,
	},
	{
		.pos_x = 133,
		.pos_y = 81,
		.angle = 326,
	},
	{
		.pos_x = 135,
		.pos_y = 80,
		.angle = 327,
	},
	{
		.pos_x = 137,
		.pos_y = 78,
		.angle = 328,
	},
	{
		.pos_x = 139,
		.pos_y = 77,
		.angle = 329,
	},
	{
		.pos_x = 141,
		.pos_y = 76,
		.angle = 330,
	},
	{
		.pos_x = 144,
		.pos_y = 74,
		.angle = 331,
	},
	{
		.pos_x = 146,
		.pos_y = 73,
		.angle = 332,
	},
	{
		.pos_x = 148,
		.pos_y = 72,
		.angle = 333,
	},
	{
		.pos_x = 150,
		.pos_y = 71,
		.angle = 334,
	},
	{
		.pos_x = 153,
		.pos_y = 70,
		.angle = 335,
	},
	{
		.pos_x = 155,
		.pos_y = 69,
		.angle = 336,
	},
	{
		.pos_x = 157,
		.pos_y = 68,
		.angle = 337,
	},
	{
		.pos_x = 159,
		.pos_y = 67,
		.angle = 338,
	},
	{
		.pos_x = 162,
		.pos_y = 66,
		.angle = 339,
	},
	{
		.pos_x = 164,
		.pos_y = 65,
		.angle = 340,
	},
	{
		.pos_x = 167,
		.pos_y = 64,
		.angle = 341,
	},
	{
		.pos_x = 169,
		.pos_y = 64,
		.angle = 342,
	},
	{
		.pos_x = 171,
		.pos_y = 63,
		.angle = 343,
	},
	{
		.pos_x = 174,
		.pos_y = 62,
		.angle = 344,
	},
	{
		.pos_x = 176,
		.pos_y = 61,
		.angle = 345,
	},
	{
		.pos_x = 178,
		.pos_y = 61,
		.angle = 346,
	},
	{
		.pos_x = 181,
		.pos_y = 60,
		.angle = 347,
	},
	{
		.pos_x = 183,
		.pos_y = 60,
		.angle = 348,
	},
	{
		.pos_x = 186,
		.pos_y = 59,
		.angle = 349,
	},
	{
		.pos_x = 188,
		.pos_y = 59,
		.angle = 350,
	},
	{
		.pos_x = 191,
		.pos_y = 58,
		.angle = 351,
	},
	{
		.pos_x = 193,
		.pos_y = 58,
		.angle = 352,
	},
	{
		.pos_x = 196,
		.pos_y = 58,
		.angle = 353,
	},
	{
		.pos_x = 198,
		.pos_y = 57,
		.angle = 354,
	},
	{
		.pos_x = 201,
		.pos_y = 57,
		.angle = 355,
	},
	{
		.pos_x = 203,
		.pos_y = 57,
		.angle = 356,
	},
	{
		.pos_x = 206,
		.pos_y = 57,
		.angle = 357,
	},
	{
		.pos_x = 208,
		.pos_y = 57,
		.angle = 358,
	},
	{
		.pos_x = 211,
		.pos_y = 57,
		.angle = 359,
	},
};
static struct needle_asset rpmassets[] = {
	{
		.pos_x = 984,
		.pos_y = 57,
		.angle = 0,
	},
	{
		.pos_x = 986,
		.pos_y = 57,
		.angle = 1,
	},
	{
		.pos_x = 989,
		.pos_y = 57,
		.angle = 2,
	},
	{
		.pos_x = 991,
		.pos_y = 57,
		.angle = 3,
	},
	{
		.pos_x = 994,
		.pos_y = 58,
		.angle = 4,
	},
	{
		.pos_x = 996,
		.pos_y = 58,
		.angle = 5,
	},
	{
		.pos_x = 999,
		.pos_y = 58,
		.angle = 6,
	},
	{
		.pos_x = 1001,
		.pos_y = 58,
		.angle = 7,
	},
	{
		.pos_x = 1004,
		.pos_y = 59,
		.angle = 8,
	},
	{
		.pos_x = 1006,
		.pos_y = 59,
		.angle = 9,
	},
	{
		.pos_x = 1009,
		.pos_y = 59,
		.angle = 10,
	},
	{
		.pos_x = 1011,
		.pos_y = 60,
		.angle = 11,
	},
	{
		.pos_x = 1013,
		.pos_y = 60,
		.angle = 12,
	},
	{
		.pos_x = 1016,
		.pos_y = 61,
		.angle = 13,
	},
	{
		.pos_x = 1018,
		.pos_y = 61,
		.angle = 14,
	},
	{
		.pos_x = 1021,
		.pos_y = 62,
		.angle = 15,
	},
	{
		.pos_x = 1023,
		.pos_y = 63,
		.angle = 16,
	},
	{
		.pos_x = 1026,
		.pos_y = 63,
		.angle = 17,
	},
	{
		.pos_x = 1028,
		.pos_y = 64,
		.angle = 18,
	},
	{
		.pos_x = 1030,
		.pos_y = 65,
		.angle = 19,
	},
	{
		.pos_x = 1033,
		.pos_y = 66,
		.angle = 20,
	},
	{
		.pos_x = 1035,
		.pos_y = 67,
		.angle = 21,
	},
	{
		.pos_x = 1037,
		.pos_y = 68,
		.angle = 22,
	},
	{
		.pos_x = 1040,
		.pos_y = 69,
		.angle = 23,
	},
	{
		.pos_x = 1042,
		.pos_y = 70,
		.angle = 24,
	},
	{
		.pos_x = 1044,
		.pos_y = 71,
		.angle = 25,
	},
	{
		.pos_x = 1046,
		.pos_y = 72,
		.angle = 26,
	},
	{
		.pos_x = 1049,
		.pos_y = 73,
		.angle = 27,
	},
	{
		.pos_x = 1051,
		.pos_y = 74,
		.angle = 28,
	},
	{
		.pos_x = 1053,
		.pos_y = 75,
		.angle = 29,
	},
	{
		.pos_x = 1055,
		.pos_y = 76,
		.angle = 30,
	},
	{
		.pos_x = 1057,
		.pos_y = 78,
		.angle = 31,
	},
	{
		.pos_x = 1059,
		.pos_y = 79,
		.angle = 32,
	},
	{
		.pos_x = 1062,
		.pos_y = 80,
		.angle = 33,
	},
	{
		.pos_x = 1064,
		.pos_y = 82,
		.angle = 34,
	},
	{
		.pos_x = 1066,
		.pos_y = 83,
		.angle = 35,
	},
	{
		.pos_x = 1068,
		.pos_y = 84,
		.angle = 36,
	},
	{
		.pos_x = 1070,
		.pos_y = 86,
		.angle = 37,
	},
	{
		.pos_x = 1072,
		.pos_y = 87,
		.angle = 38,
	},
	{
		.pos_x = 1074,
		.pos_y = 89,
		.angle = 39,
	},
	{
		.pos_x = 1076,
		.pos_y = 91,
		.angle = 40,
	},
	{
		.pos_x = 1077,
		.pos_y = 92,
		.angle = 41,
	},
	{
		.pos_x = 1079,
		.pos_y = 94,
		.angle = 42,
	},
	{
		.pos_x = 1081,
		.pos_y = 95,
		.angle = 43,
	},
	{
		.pos_x = 1083,
		.pos_y = 97,
		.angle = 44,
	},
	{
		.pos_x = 1085,
		.pos_y = 99,
		.angle = 45,
	},
	{
		.pos_x = 1086,
		.pos_y = 101,
		.angle = 46,
	},
	{
		.pos_x = 1088,
		.pos_y = 103,
		.angle = 47,
	},
	{
		.pos_x = 1090,
		.pos_y = 104,
		.angle = 48,
	},
	{
		.pos_x = 1092,
		.pos_y = 106,
		.angle = 49,
	},
	{
		.pos_x = 1093,
		.pos_y = 108,
		.angle = 50,
	},
	{
		.pos_x = 1095,
		.pos_y = 110,
		.angle = 51,
	},
	{
		.pos_x = 1096,
		.pos_y = 112,
		.angle = 52,
	},
	{
		.pos_x = 1098,
		.pos_y = 114,
		.angle = 53,
	},
	{
		.pos_x = 1099,
		.pos_y = 116,
		.angle = 54,
	},
	{
		.pos_x = 1101,
		.pos_y = 118,
		.angle = 55,
	},
	{
		.pos_x = 1102,
		.pos_y = 120,
		.angle = 56,
	},
	{
		.pos_x = 1103,
		.pos_y = 122,
		.angle = 57,
	},
	{
		.pos_x = 1105,
		.pos_y = 124,
		.angle = 58,
	},
	{
		.pos_x = 1106,
		.pos_y = 126,
		.angle = 59,
	},
	{
		.pos_x = 1107,
		.pos_y = 129,
		.angle = 60,
	},
	{
		.pos_x = 1109,
		.pos_y = 131,
		.angle = 61,
	},
	{
		.pos_x = 1110,
		.pos_y = 133,
		.angle = 62,
	},
	{
		.pos_x = 1111,
		.pos_y = 135,
		.angle = 63,
	},
	{
		.pos_x = 1112,
		.pos_y = 137,
		.angle = 64,
	},
	{
		.pos_x = 1113,
		.pos_y = 140,
		.angle = 65,
	},
	{
		.pos_x = 1114,
		.pos_y = 142,
		.angle = 66,
	},
	{
		.pos_x = 1115,
		.pos_y = 144,
		.angle = 67,
	},
	{
		.pos_x = 1116,
		.pos_y = 146,
		.angle = 68,
	},
	{
		.pos_x = 1117,
		.pos_y = 149,
		.angle = 69,
	},
	{
		.pos_x = 1118,
		.pos_y = 151,
		.angle = 70,
	},
	{
		.pos_x = 1119,
		.pos_y = 153,
		.angle = 71,
	},
	{
		.pos_x = 1120,
		.pos_y = 156,
		.angle = 72,
	},
	{
		.pos_x = 1120,
		.pos_y = 158,
		.angle = 73,
	},
	{
		.pos_x = 1121,
		.pos_y = 161,
		.angle = 74,
	},
	{
		.pos_x = 1122,
		.pos_y = 163,
		.angle = 75,
	},
	{
		.pos_x = 1122,
		.pos_y = 165,
		.angle = 76,
	},
	{
		.pos_x = 1123,
		.pos_y = 168,
		.angle = 77,
	},
	{
		.pos_x = 1123,
		.pos_y = 170,
		.angle = 78,
	},
	{
		.pos_x = 1124,
		.pos_y = 173,
		.angle = 79,
	},
	{
		.pos_x = 1124,
		.pos_y = 175,
		.angle = 80,
	},
	{
		.pos_x = 1125,
		.pos_y = 178,
		.angle = 81,
	},
	{
		.pos_x = 1125,
		.pos_y = 180,
		.angle = 82,
	},
	{
		.pos_x = 1125,
		.pos_y = 182,
		.angle = 83,
	},
	{
		.pos_x = 1126,
		.pos_y = 185,
		.angle = 84,
	},
	{
		.pos_x = 1126,
		.pos_y = 187,
		.angle = 85,
	},
	{
		.pos_x = 1126,
		.pos_y = 190,
		.angle = 86,
	},
	{
		.pos_x = 1126,
		.pos_y = 192,
		.angle = 87,
	},
	{
		.pos_x = 1126,
		.pos_y = 195,
		.angle = 88,
	},
	{
		.pos_x = 1126,
		.pos_y = 197,
		.angle = 89,
	},
	{
		.pos_x = 1127,
		.pos_y = 200,
		.angle = 90,
	},
	{
		.pos_x = 1126,
		.pos_y = 202,
		.angle = 91,
	},
	{
		.pos_x = 1126,
		.pos_y = 205,
		.angle = 92,
	},
	{
		.pos_x = 1126,
		.pos_y = 207,
		.angle = 93,
	},
	{
		.pos_x = 1126,
		.pos_y = 210,
		.angle = 94,
	},
	{
		.pos_x = 1126,
		.pos_y = 212,
		.angle = 95,
	},
	{
		.pos_x = 1126,
		.pos_y = 215,
		.angle = 96,
	},
	{
		.pos_x = 1125,
		.pos_y = 217,
		.angle = 97,
	},
	{
		.pos_x = 1125,
		.pos_y = 220,
		.angle = 98,
	},
	{
		.pos_x = 1125,
		.pos_y = 222,
		.angle = 99,
	},
	{
		.pos_x = 1124,
		.pos_y = 225,
		.angle = 100,
	},
	{
		.pos_x = 1124,
		.pos_y = 227,
		.angle = 101,
	},
	{
		.pos_x = 1123,
		.pos_y = 229,
		.angle = 102,
	},
	{
		.pos_x = 1123,
		.pos_y = 232,
		.angle = 103,
	},
	{
		.pos_x = 1122,
		.pos_y = 234,
		.angle = 104,
	},
	{
		.pos_x = 1122,
		.pos_y = 237,
		.angle = 105,
	},
	{
		.pos_x = 1121,
		.pos_y = 239,
		.angle = 106,
	},
	{
		.pos_x = 1120,
		.pos_y = 242,
		.angle = 107,
	},
	{
		.pos_x = 1120,
		.pos_y = 244,
		.angle = 108,
	},
	{
		.pos_x = 1119,
		.pos_y = 246,
		.angle = 109,
	},
	{
		.pos_x = 1118,
		.pos_y = 249,
		.angle = 110,
	},
	{
		.pos_x = 1117,
		.pos_y = 251,
		.angle = 111,
	},
	{
		.pos_x = 1116,
		.pos_y = 253,
		.angle = 112,
	},
	{
		.pos_x = 1115,
		.pos_y = 256,
		.angle = 113,
	},
	{
		.pos_x = 1114,
		.pos_y = 258,
		.angle = 114,
	},
	{
		.pos_x = 1113,
		.pos_y = 260,
		.angle = 115,
	},
	{
		.pos_x = 1112,
		.pos_y = 262,
		.angle = 116,
	},
	{
		.pos_x = 1111,
		.pos_y = 265,
		.angle = 117,
	},
	{
		.pos_x = 1110,
		.pos_y = 267,
		.angle = 118,
	},
	{
		.pos_x = 1109,
		.pos_y = 269,
		.angle = 119,
	},
	{
		.pos_x = 1107,
		.pos_y = 271,
		.angle = 120,
	},
	{
		.pos_x = 1106,
		.pos_y = 273,
		.angle = 121,
	},
	{
		.pos_x = 1105,
		.pos_y = 275,
		.angle = 122,
	},
	{
		.pos_x = 1103,
		.pos_y = 278,
		.angle = 123,
	},
	{
		.pos_x = 1102,
		.pos_y = 280,
		.angle = 124,
	},
	{
		.pos_x = 1101,
		.pos_y = 282,
		.angle = 125,
	},
	{
		.pos_x = 1099,
		.pos_y = 284,
		.angle = 126,
	},
	{
		.pos_x = 1098,
		.pos_y = 286,
		.angle = 127,
	},
	{
		.pos_x = 1096,
		.pos_y = 288,
		.angle = 128,
	},
	{
		.pos_x = 1095,
		.pos_y = 290,
		.angle = 129,
	},
	{
		.pos_x = 1093,
		.pos_y = 292,
		.angle = 130,
	},
	{
		.pos_x = 1092,
		.pos_y = 293,
		.angle = 131,
	},
	{
		.pos_x = 1090,
		.pos_y = 295,
		.angle = 132,
	},
	{
		.pos_x = 1088,
		.pos_y = 297,
		.angle = 133,
	},
	{
		.pos_x = 1086,
		.pos_y = 299,
		.angle = 134,
	},
	{
		.pos_x = 1085,
		.pos_y = 301,
		.angle = 135,
	},
	{
		.pos_x = 1083,
		.pos_y = 302,
		.angle = 136,
	},
	{
		.pos_x = 1081,
		.pos_y = 304,
		.angle = 137,
	},
	{
		.pos_x = 1079,
		.pos_y = 306,
		.angle = 138,
	},
	{
		.pos_x = 1077,
		.pos_y = 308,
		.angle = 139,
	},
	{
		.pos_x = 1076,
		.pos_y = 309,
		.angle = 140,
	},
	{
		.pos_x = 1074,
		.pos_y = 311,
		.angle = 141,
	},
	{
		.pos_x = 1072,
		.pos_y = 312,
		.angle = 142,
	},
	{
		.pos_x = 1070,
		.pos_y = 314,
		.angle = 143,
	},
	{
		.pos_x = 1068,
		.pos_y = 315,
		.angle = 144,
	},
	{
		.pos_x = 1066,
		.pos_y = 317,
		.angle = 145,
	},
	{
		.pos_x = 1064,
		.pos_y = 318,
		.angle = 146,
	},
	{
		.pos_x = 1062,
		.pos_y = 319,
		.angle = 147,
	},
	{
		.pos_x = 1059,
		.pos_y = 321,
		.angle = 148,
	},
	{
		.pos_x = 1057,
		.pos_y = 322,
		.angle = 149,
	},
	{
		.pos_x = 1055,
		.pos_y = 323,
		.angle = 150,
	},
	{
		.pos_x = 1053,
		.pos_y = 325,
		.angle = 151,
	},
	{
		.pos_x = 1051,
		.pos_y = 326,
		.angle = 152,
	},
	{
		.pos_x = 1049,
		.pos_y = 327,
		.angle = 153,
	},
	{
		.pos_x = 1046,
		.pos_y = 328,
		.angle = 154,
	},
	{
		.pos_x = 1044,
		.pos_y = 329,
		.angle = 155,
	},
	{
		.pos_x = 1042,
		.pos_y = 330,
		.angle = 156,
	},
	{
		.pos_x = 1040,
		.pos_y = 331,
		.angle = 157,
	},
	{
		.pos_x = 1037,
		.pos_y = 332,
		.angle = 158,
	},
	{
		.pos_x = 1035,
		.pos_y = 333,
		.angle = 159,
	},
	{
		.pos_x = 1033,
		.pos_y = 334,
		.angle = 160,
	},
	{
		.pos_x = 1030,
		.pos_y = 335,
		.angle = 161,
	},
	{
		.pos_x = 1028,
		.pos_y = 336,
		.angle = 162,
	},
	{
		.pos_x = 1026,
		.pos_y = 336,
		.angle = 163,
	},
	{
		.pos_x = 1023,
		.pos_y = 337,
		.angle = 164,
	},
	{
		.pos_x = 1021,
		.pos_y = 338,
		.angle = 165,
	},
	{
		.pos_x = 1018,
		.pos_y = 338,
		.angle = 166,
	},
	{
		.pos_x = 1016,
		.pos_y = 339,
		.angle = 167,
	},
	{
		.pos_x = 1013,
		.pos_y = 339,
		.angle = 168,
	},
	{
		.pos_x = 1011,
		.pos_y = 340,
		.angle = 169,
	},
	{
		.pos_x = 1009,
		.pos_y = 340,
		.angle = 170,
	},
	{
		.pos_x = 1006,
		.pos_y = 341,
		.angle = 171,
	},
	{
		.pos_x = 1004,
		.pos_y = 341,
		.angle = 172,
	},
	{
		.pos_x = 1001,
		.pos_y = 341,
		.angle = 173,
	},
	{
		.pos_x = 999,
		.pos_y = 342,
		.angle = 174,
	},
	{
		.pos_x = 996,
		.pos_y = 342,
		.angle = 175,
	},
	{
		.pos_x = 994,
		.pos_y = 342,
		.angle = 176,
	},
	{
		.pos_x = 991,
		.pos_y = 342,
		.angle = 177,
	},
	{
		.pos_x = 989,
		.pos_y = 342,
		.angle = 178,
	},
	{
		.pos_x = 986,
		.pos_y = 342,
		.angle = 179,
	},
	{
		.pos_x = 984,
		.pos_y = 343,
		.angle = 180,
	},
	{
		.pos_x = 981,
		.pos_y = 342,
		.angle = 181,
	},
	{
		.pos_x = 979,
		.pos_y = 342,
		.angle = 182,
	},
	{
		.pos_x = 976,
		.pos_y = 342,
		.angle = 183,
	},
	{
		.pos_x = 974,
		.pos_y = 342,
		.angle = 184,
	},
	{
		.pos_x = 971,
		.pos_y = 342,
		.angle = 185,
	},
	{
		.pos_x = 969,
		.pos_y = 342,
		.angle = 186,
	},
	{
		.pos_x = 966,
		.pos_y = 341,
		.angle = 187,
	},
	{
		.pos_x = 964,
		.pos_y = 341,
		.angle = 188,
	},
	{
		.pos_x = 962,
		.pos_y = 341,
		.angle = 189,
	},
	{
		.pos_x = 959,
		.pos_y = 340,
		.angle = 190,
	},
	{
		.pos_x = 957,
		.pos_y = 340,
		.angle = 191,
	},
	{
		.pos_x = 954,
		.pos_y = 339,
		.angle = 192,
	},
	{
		.pos_x = 952,
		.pos_y = 339,
		.angle = 193,
	},
	{
		.pos_x = 949,
		.pos_y = 338,
		.angle = 194,
	},
	{
		.pos_x = 947,
		.pos_y = 338,
		.angle = 195,
	},
	{
		.pos_x = 945,
		.pos_y = 337,
		.angle = 196,
	},
	{
		.pos_x = 942,
		.pos_y = 336,
		.angle = 197,
	},
	{
		.pos_x = 940,
		.pos_y = 336,
		.angle = 198,
	},
	{
		.pos_x = 937,
		.pos_y = 335,
		.angle = 199,
	},
	{
		.pos_x = 935,
		.pos_y = 334,
		.angle = 200,
	},
	{
		.pos_x = 933,
		.pos_y = 333,
		.angle = 201,
	},
	{
		.pos_x = 930,
		.pos_y = 332,
		.angle = 202,
	},
	{
		.pos_x = 928,
		.pos_y = 331,
		.angle = 203,
	},
	{
		.pos_x = 926,
		.pos_y = 330,
		.angle = 204,
	},
	{
		.pos_x = 924,
		.pos_y = 329,
		.angle = 205,
	},
	{
		.pos_x = 921,
		.pos_y = 328,
		.angle = 206,
	},
	{
		.pos_x = 919,
		.pos_y = 327,
		.angle = 207,
	},
	{
		.pos_x = 917,
		.pos_y = 326,
		.angle = 208,
	},
	{
		.pos_x = 915,
		.pos_y = 325,
		.angle = 209,
	},
	{
		.pos_x = 913,
		.pos_y = 323,
		.angle = 210,
	},
	{
		.pos_x = 910,
		.pos_y = 322,
		.angle = 211,
	},
	{
		.pos_x = 908,
		.pos_y = 321,
		.angle = 212,
	},
	{
		.pos_x = 906,
		.pos_y = 319,
		.angle = 213,
	},
	{
		.pos_x = 904,
		.pos_y = 318,
		.angle = 214,
	},
	{
		.pos_x = 902,
		.pos_y = 317,
		.angle = 215,
	},
	{
		.pos_x = 900,
		.pos_y = 315,
		.angle = 216,
	},
	{
		.pos_x = 898,
		.pos_y = 314,
		.angle = 217,
	},
	{
		.pos_x = 896,
		.pos_y = 312,
		.angle = 218,
	},
	{
		.pos_x = 894,
		.pos_y = 311,
		.angle = 219,
	},
	{
		.pos_x = 892,
		.pos_y = 309,
		.angle = 220,
	},
	{
		.pos_x = 890,
		.pos_y = 308,
		.angle = 221,
	},
	{
		.pos_x = 888,
		.pos_y = 306,
		.angle = 222,
	},
	{
		.pos_x = 887,
		.pos_y = 304,
		.angle = 223,
	},
	{
		.pos_x = 885,
		.pos_y = 302,
		.angle = 224,
	},
	{
		.pos_x = 883,
		.pos_y = 301,
		.angle = 225,
	},
	{
		.pos_x = 881,
		.pos_y = 299,
		.angle = 226,
	},
	{
		.pos_x = 879,
		.pos_y = 297,
		.angle = 227,
	},
	{
		.pos_x = 878,
		.pos_y = 295,
		.angle = 228,
	},
	{
		.pos_x = 876,
		.pos_y = 293,
		.angle = 229,
	},
	{
		.pos_x = 875,
		.pos_y = 292,
		.angle = 230,
	},
	{
		.pos_x = 873,
		.pos_y = 290,
		.angle = 231,
	},
	{
		.pos_x = 871,
		.pos_y = 288,
		.angle = 232,
	},
	{
		.pos_x = 870,
		.pos_y = 286,
		.angle = 233,
	},
	{
		.pos_x = 868,
		.pos_y = 284,
		.angle = 234,
	},
	{
		.pos_x = 867,
		.pos_y = 282,
		.angle = 235,
	},
	{
		.pos_x = 866,
		.pos_y = 280,
		.angle = 236,
	},
	{
		.pos_x = 864,
		.pos_y = 278,
		.angle = 237,
	},
	{
		.pos_x = 863,
		.pos_y = 275,
		.angle = 238,
	},
	{
		.pos_x = 862,
		.pos_y = 273,
		.angle = 239,
	},
	{
		.pos_x = 860,
		.pos_y = 271,
		.angle = 240,
	},
	{
		.pos_x = 859,
		.pos_y = 269,
		.angle = 241,
	},
	{
		.pos_x = 858,
		.pos_y = 267,
		.angle = 242,
	},
	{
		.pos_x = 857,
		.pos_y = 265,
		.angle = 243,
	},
	{
		.pos_x = 856,
		.pos_y = 262,
		.angle = 244,
	},
	{
		.pos_x = 855,
		.pos_y = 260,
		.angle = 245,
	},
	{
		.pos_x = 854,
		.pos_y = 258,
		.angle = 246,
	},
	{
		.pos_x = 853,
		.pos_y = 256,
		.angle = 247,
	},
	{
		.pos_x = 852,
		.pos_y = 253,
		.angle = 248,
	},
	{
		.pos_x = 851,
		.pos_y = 251,
		.angle = 249,
	},
	{
		.pos_x = 850,
		.pos_y = 249,
		.angle = 250,
	},
	{
		.pos_x = 849,
		.pos_y = 246,
		.angle = 251,
	},
	{
		.pos_x = 848,
		.pos_y = 244,
		.angle = 252,
	},
	{
		.pos_x = 847,
		.pos_y = 242,
		.angle = 253,
	},
	{
		.pos_x = 847,
		.pos_y = 239,
		.angle = 254,
	},
	{
		.pos_x = 846,
		.pos_y = 237,
		.angle = 255,
	},
	{
		.pos_x = 845,
		.pos_y = 234,
		.angle = 256,
	},
	{
		.pos_x = 845,
		.pos_y = 232,
		.angle = 257,
	},
	{
		.pos_x = 844,
		.pos_y = 229,
		.angle = 258,
	},
	{
		.pos_x = 844,
		.pos_y = 227,
		.angle = 259,
	},
	{
		.pos_x = 843,
		.pos_y = 225,
		.angle = 260,
	},
	{
		.pos_x = 843,
		.pos_y = 222,
		.angle = 261,
	},
	{
		.pos_x = 843,
		.pos_y = 220,
		.angle = 262,
	},
	{
		.pos_x = 842,
		.pos_y = 217,
		.angle = 263,
	},
	{
		.pos_x = 842,
		.pos_y = 215,
		.angle = 264,
	},
	{
		.pos_x = 842,
		.pos_y = 212,
		.angle = 265,
	},
	{
		.pos_x = 842,
		.pos_y = 210,
		.angle = 266,
	},
	{
		.pos_x = 841,
		.pos_y = 207,
		.angle = 267,
	},
	{
		.pos_x = 841,
		.pos_y = 205,
		.angle = 268,
	},
	{
		.pos_x = 841,
		.pos_y = 202,
		.angle = 269,
	},
	{
		.pos_x = 841,
		.pos_y = 200,
		.angle = 270,
	},
	{
		.pos_x = 841,
		.pos_y = 197,
		.angle = 271,
	},
	{
		.pos_x = 841,
		.pos_y = 195,
		.angle = 272,
	},
	{
		.pos_x = 841,
		.pos_y = 192,
		.angle = 273,
	},
	{
		.pos_x = 842,
		.pos_y = 190,
		.angle = 274,
	},
	{
		.pos_x = 842,
		.pos_y = 187,
		.angle = 275,
	},
	{
		.pos_x = 842,
		.pos_y = 185,
		.angle = 276,
	},
	{
		.pos_x = 842,
		.pos_y = 182,
		.angle = 277,
	},
	{
		.pos_x = 843,
		.pos_y = 180,
		.angle = 278,
	},
	{
		.pos_x = 843,
		.pos_y = 178,
		.angle = 279,
	},
	{
		.pos_x = 843,
		.pos_y = 175,
		.angle = 280,
	},
	{
		.pos_x = 844,
		.pos_y = 173,
		.angle = 281,
	},
	{
		.pos_x = 844,
		.pos_y = 170,
		.angle = 282,
	},
	{
		.pos_x = 845,
		.pos_y = 168,
		.angle = 283,
	},
	{
		.pos_x = 845,
		.pos_y = 165,
		.angle = 284,
	},
	{
		.pos_x = 846,
		.pos_y = 163,
		.angle = 285,
	},
	{
		.pos_x = 847,
		.pos_y = 161,
		.angle = 286,
	},
	{
		.pos_x = 847,
		.pos_y = 158,
		.angle = 287,
	},
	{
		.pos_x = 848,
		.pos_y = 156,
		.angle = 288,
	},
	{
		.pos_x = 849,
		.pos_y = 153,
		.angle = 289,
	},
	{
		.pos_x = 850,
		.pos_y = 151,
		.angle = 290,
	},
	{
		.pos_x = 851,
		.pos_y = 149,
		.angle = 291,
	},
	{
		.pos_x = 852,
		.pos_y = 146,
		.angle = 292,
	},
	{
		.pos_x = 853,
		.pos_y = 144,
		.angle = 293,
	},
	{
		.pos_x = 854,
		.pos_y = 142,
		.angle = 294,
	},
	{
		.pos_x = 855,
		.pos_y = 140,
		.angle = 295,
	},
	{
		.pos_x = 856,
		.pos_y = 137,
		.angle = 296,
	},
	{
		.pos_x = 857,
		.pos_y = 135,
		.angle = 297,
	},
	{
		.pos_x = 858,
		.pos_y = 133,
		.angle = 298,
	},
	{
		.pos_x = 859,
		.pos_y = 131,
		.angle = 299,
	},
	{
		.pos_x = 860,
		.pos_y = 129,
		.angle = 300,
	},
	{
		.pos_x = 862,
		.pos_y = 126,
		.angle = 301,
	},
	{
		.pos_x = 863,
		.pos_y = 124,
		.angle = 302,
	},
	{
		.pos_x = 864,
		.pos_y = 122,
		.angle = 303,
	},
	{
		.pos_x = 866,
		.pos_y = 120,
		.angle = 304,
	},
	{
		.pos_x = 867,
		.pos_y = 118,
		.angle = 305,
	},
	{
		.pos_x = 868,
		.pos_y = 116,
		.angle = 306,
	},
	{
		.pos_x = 870,
		.pos_y = 114,
		.angle = 307,
	},
	{
		.pos_x = 871,
		.pos_y = 112,
		.angle = 308,
	},
	{
		.pos_x = 873,
		.pos_y = 110,
		.angle = 309,
	},
	{
		.pos_x = 875,
		.pos_y = 108,
		.angle = 310,
	},
	{
		.pos_x = 876,
		.pos_y = 106,
		.angle = 311,
	},
	{
		.pos_x = 878,
		.pos_y = 104,
		.angle = 312,
	},
	{
		.pos_x = 879,
		.pos_y = 103,
		.angle = 313,
	},
	{
		.pos_x = 881,
		.pos_y = 101,
		.angle = 314,
	},
	{
		.pos_x = 883,
		.pos_y = 99,
		.angle = 315,
	},
	{
		.pos_x = 885,
		.pos_y = 97,
		.angle = 316,
	},
	{
		.pos_x = 887,
		.pos_y = 95,
		.angle = 317,
	},
	{
		.pos_x = 888,
		.pos_y = 94,
		.angle = 318,
	},
	{
		.pos_x = 890,
		.pos_y = 92,
		.angle = 319,
	},
	{
		.pos_x = 892,
		.pos_y = 91,
		.angle = 320,
	},
	{
		.pos_x = 894,
		.pos_y = 89,
		.angle = 321,
	},
	{
		.pos_x = 896,
		.pos_y = 87,
		.angle = 322,
	},
	{
		.pos_x = 898,
		.pos_y = 86,
		.angle = 323,
	},
	{
		.pos_x = 900,
		.pos_y = 84,
		.angle = 324,
	},
	{
		.pos_x = 902,
		.pos_y = 83,
		.angle = 325,
	},
	{
		.pos_x = 904,
		.pos_y = 82,
		.angle = 326,
	},
	{
		.pos_x = 906,
		.pos_y = 80,
		.angle = 327,
	},
	{
		.pos_x = 908,
		.pos_y = 79,
		.angle = 328,
	},
	{
		.pos_x = 910,
		.pos_y = 78,
		.angle = 329,
	},
	{
		.pos_x = 913,
		.pos_y = 76,
		.angle = 330,
	},
	{
		.pos_x = 915,
		.pos_y = 75,
		.angle = 331,
	},
	{
		.pos_x = 917,
		.pos_y = 74,
		.angle = 332,
	},
	{
		.pos_x = 919,
		.pos_y = 73,
		.angle = 333,
	},
	{
		.pos_x = 921,
		.pos_y = 72,
		.angle = 334,
	},
	{
		.pos_x = 924,
		.pos_y = 71,
		.angle = 335,
	},
	{
		.pos_x = 926,
		.pos_y = 70,
		.angle = 336,
	},
	{
		.pos_x = 928,
		.pos_y = 69,
		.angle = 337,
	},
	{
		.pos_x = 930,
		.pos_y = 68,
		.angle = 338,
	},
	{
		.pos_x = 933,
		.pos_y = 67,
		.angle = 339,
	},
	{
		.pos_x = 935,
		.pos_y = 66,
		.angle = 340,
	},
	{
		.pos_x = 937,
		.pos_y = 65,
		.angle = 341,
	},
	{
		.pos_x = 940,
		.pos_y = 64,
		.angle = 342,
	},
	{
		.pos_x = 942,
		.pos_y = 63,
		.angle = 343,
	},
	{
		.pos_x = 945,
		.pos_y = 63,
		.angle = 344,
	},
	{
		.pos_x = 947,
		.pos_y = 62,
		.angle = 345,
	},
	{
		.pos_x = 949,
		.pos_y = 61,
		.angle = 346,
	},
	{
		.pos_x = 952,
		.pos_y = 61,
		.angle = 347,
	},
	{
		.pos_x = 954,
		.pos_y = 60,
		.angle = 348,
	},
	{
		.pos_x = 957,
		.pos_y = 60,
		.angle = 349,
	},
	{
		.pos_x = 959,
		.pos_y = 59,
		.angle = 350,
	},
	{
		.pos_x = 962,
		.pos_y = 59,
		.angle = 351,
	},
	{
		.pos_x = 964,
		.pos_y = 59,
		.angle = 352,
	},
	{
		.pos_x = 966,
		.pos_y = 58,
		.angle = 353,
	},
	{
		.pos_x = 969,
		.pos_y = 58,
		.angle = 354,
	},
	{
		.pos_x = 971,
		.pos_y = 58,
		.angle = 355,
	},
	{
		.pos_x = 974,
		.pos_y = 58,
		.angle = 356,
	},
	{
		.pos_x = 976,
		.pos_y = 57,
		.angle = 357,
	},
	{
		.pos_x = 979,
		.pos_y = 57,
		.angle = 358,
	},
	{
		.pos_x = 981,
		.pos_y = 57,
		.angle = 359,
	},
};
static struct needle_layer_asset nlassets[] = {
	{
		.feature = "fps-text",
		.width = 44,
		.height = 18,
		.pos_x = 1180,
		.pos_y = 1,
		.filename = DATADIR"/"ASSETDIR"/needles/fps-text-1180-1-44-18.raw",
	},
};
